/*
 * generated by Xtext 2.11.0
 */
package com.mncml.implementation.pogo.ide.contentassist.antlr;

import com.google.inject.Inject;
import com.mncml.implementation.pogo.ide.contentassist.antlr.internal.InternalSimulatorDslParser;
import com.mncml.implementation.pogo.services.SimulatorDslGrammarAccess;
import java.util.HashMap;
import java.util.Map;
import org.eclipse.xtext.AbstractElement;
import org.eclipse.xtext.ide.editor.contentassist.antlr.AbstractContentAssistParser;

public class SimulatorDslParser extends AbstractContentAssistParser {

	@Inject
	private SimulatorDslGrammarAccess grammarAccess;

	private Map<AbstractElement, String> nameMappings;

	@Override
	protected InternalSimulatorDslParser createParser() {
		InternalSimulatorDslParser result = new InternalSimulatorDslParser(null);
		result.setGrammarAccess(grammarAccess);
		return result;
	}

	@Override
	protected String getRuleName(AbstractElement element) {
		if (nameMappings == null) {
			nameMappings = new HashMap<AbstractElement, String>() {
				private static final long serialVersionUID = 1L;
				{
					put(grammarAccess.getSimulationAccess().getAlternatives(), "rule__Simulation__Alternatives");
					put(grammarAccess.getBehaviourAccess().getAlternatives(), "rule__Behaviour__Alternatives");
					put(grammarAccess.getEStringAccess().getAlternatives(), "rule__EString__Alternatives");
					put(grammarAccess.getEFloatAccess().getAlternatives_4_0(), "rule__EFloat__Alternatives_4_0");
					put(grammarAccess.getTangoSimLibAccess().getGroup(), "rule__TangoSimLib__Group__0");
					put(grammarAccess.getTangoSimLibAccess().getGroup_5(), "rule__TangoSimLib__Group_5__0");
					put(grammarAccess.getTangoSimLibAccess().getGroup_5_2(), "rule__TangoSimLib__Group_5_2__0");
					put(grammarAccess.getTangoSimLibAccess().getGroup_5_2_1(), "rule__TangoSimLib__Group_5_2_1__0");
					put(grammarAccess.getTangoSimLibAccess().getGroup_6(), "rule__TangoSimLib__Group_6__0");
					put(grammarAccess.getTangoSimLibAccess().getGroup_6_2(), "rule__TangoSimLib__Group_6_2__0");
					put(grammarAccess.getTangoSimLibAccess().getGroup_6_2_1(), "rule__TangoSimLib__Group_6_2_1__0");
					put(grammarAccess.getTangoSimLibAccess().getGroup_7(), "rule__TangoSimLib__Group_7__0");
					put(grammarAccess.getTangoSimLibAccess().getGroup_7_2(), "rule__TangoSimLib__Group_7_2__0");
					put(grammarAccess.getOverrideClassAccess().getGroup(), "rule__OverrideClass__Group__0");
					put(grammarAccess.getOverrideClassAccess().getGroup_3(), "rule__OverrideClass__Group_3__0");
					put(grammarAccess.getOverrideClassAccess().getGroup_4(), "rule__OverrideClass__Group_4__0");
					put(grammarAccess.getOverrideClassAccess().getGroup_5(), "rule__OverrideClass__Group_5__0");
					put(grammarAccess.getOverrideClassAccess().getGroup_6(), "rule__OverrideClass__Group_6__0");
					put(grammarAccess.getQualifiedNameAccess().getGroup(), "rule__QualifiedName__Group__0");
					put(grammarAccess.getQualifiedNameAccess().getGroup_1(), "rule__QualifiedName__Group_1__0");
					put(grammarAccess.getCommandSimulationAccess().getGroup(), "rule__CommandSimulation__Group__0");
					put(grammarAccess.getDataSimulationAccess().getGroup(), "rule__DataSimulation__Group__0");
					put(grammarAccess.getGaussianSlewLimitedAccess().getGroup(), "rule__GaussianSlewLimited__Group__0");
					put(grammarAccess.getGaussianSlewLimitedAccess().getGroup_3(), "rule__GaussianSlewLimited__Group_3__0");
					put(grammarAccess.getGaussianSlewLimitedAccess().getGroup_4(), "rule__GaussianSlewLimited__Group_4__0");
					put(grammarAccess.getGaussianSlewLimitedAccess().getGroup_5(), "rule__GaussianSlewLimited__Group_5__0");
					put(grammarAccess.getGaussianSlewLimitedAccess().getGroup_6(), "rule__GaussianSlewLimited__Group_6__0");
					put(grammarAccess.getGaussianSlewLimitedAccess().getGroup_7(), "rule__GaussianSlewLimited__Group_7__0");
					put(grammarAccess.getConstantQuantityAccess().getGroup(), "rule__ConstantQuantity__Group__0");
					put(grammarAccess.getConstantQuantityAccess().getGroup_3(), "rule__ConstantQuantity__Group_3__0");
					put(grammarAccess.getConstantQuantityAccess().getGroup_4(), "rule__ConstantQuantity__Group_4__0");
					put(grammarAccess.getDeterministicSignalAccess().getGroup(), "rule__DeterministicSignal__Group__0");
					put(grammarAccess.getDeterministicSignalAccess().getGroup_3(), "rule__DeterministicSignal__Group_3__0");
					put(grammarAccess.getDeterministicSignalAccess().getGroup_4(), "rule__DeterministicSignal__Group_4__0");
					put(grammarAccess.getDeterministicSignalAccess().getGroup_5(), "rule__DeterministicSignal__Group_5__0");
					put(grammarAccess.getDeterministicSignalAccess().getGroup_6(), "rule__DeterministicSignal__Group_6__0");
					put(grammarAccess.getRuntimeSpecifiedWaveformAccess().getGroup(), "rule__RuntimeSpecifiedWaveform__Group__0");
					put(grammarAccess.getRuntimeSpecifiedWaveformAccess().getGroup_3(), "rule__RuntimeSpecifiedWaveform__Group_3__0");
					put(grammarAccess.getRuntimeSpecifiedWaveformAccess().getGroup_4(), "rule__RuntimeSpecifiedWaveform__Group_4__0");
					put(grammarAccess.getRuntimeSpecifiedWaveformAccess().getGroup_5(), "rule__RuntimeSpecifiedWaveform__Group_5__0");
					put(grammarAccess.getEFloatAccess().getGroup(), "rule__EFloat__Group__0");
					put(grammarAccess.getEFloatAccess().getGroup_4(), "rule__EFloat__Group_4__0");
					put(grammarAccess.getEIntAccess().getGroup(), "rule__EInt__Group__0");
					put(grammarAccess.getInputTransformAccess().getGroup(), "rule__InputTransform__Group__0");
					put(grammarAccess.getInputTransformAccess().getGroup_3(), "rule__InputTransform__Group_3__0");
					put(grammarAccess.getSideEffectsAccess().getGroup(), "rule__SideEffects__Group__0");
					put(grammarAccess.getSideEffectsAccess().getGroup_3(), "rule__SideEffects__Group_3__0");
					put(grammarAccess.getSideEffectsAccess().getGroup_4(), "rule__SideEffects__Group_4__0");
					put(grammarAccess.getOutputReturnAccess().getGroup(), "rule__OutputReturn__Group__0");
					put(grammarAccess.getOutputReturnAccess().getGroup_3(), "rule__OutputReturn__Group_3__0");
					put(grammarAccess.getOutputReturnAccess().getGroup_4(), "rule__OutputReturn__Group_4__0");
					put(grammarAccess.getTangoSimLibAccess().getRefferedPogoDeviceClassAssignment_3(), "rule__TangoSimLib__RefferedPogoDeviceClassAssignment_3");
					put(grammarAccess.getTangoSimLibAccess().getDataSimulationsAssignment_5_2_0(), "rule__TangoSimLib__DataSimulationsAssignment_5_2_0");
					put(grammarAccess.getTangoSimLibAccess().getDataSimulationsAssignment_5_2_1_1(), "rule__TangoSimLib__DataSimulationsAssignment_5_2_1_1");
					put(grammarAccess.getTangoSimLibAccess().getCommandSimulationsAssignment_6_2_0(), "rule__TangoSimLib__CommandSimulationsAssignment_6_2_0");
					put(grammarAccess.getTangoSimLibAccess().getCommandSimulationsAssignment_6_2_1_1(), "rule__TangoSimLib__CommandSimulationsAssignment_6_2_1_1");
					put(grammarAccess.getTangoSimLibAccess().getOverrideClassAssignment_7_2_0(), "rule__TangoSimLib__OverrideClassAssignment_7_2_0");
					put(grammarAccess.getTangoSimLibAccess().getOverrideClassAssignment_7_2_2(), "rule__TangoSimLib__OverrideClassAssignment_7_2_2");
					put(grammarAccess.getOverrideClassAccess().getNameAssignment_3_1(), "rule__OverrideClass__NameAssignment_3_1");
					put(grammarAccess.getOverrideClassAccess().getModule_directoryAssignment_4_1(), "rule__OverrideClass__Module_directoryAssignment_4_1");
					put(grammarAccess.getOverrideClassAccess().getModule_nameAssignment_5_1(), "rule__OverrideClass__Module_nameAssignment_5_1");
					put(grammarAccess.getOverrideClassAccess().getClass_nameAssignment_6_1(), "rule__OverrideClass__Class_nameAssignment_6_1");
					put(grammarAccess.getCommandSimulationAccess().getPogoCommandAssignment_2(), "rule__CommandSimulation__PogoCommandAssignment_2");
					put(grammarAccess.getCommandSimulationAccess().getBehaviorTypeAssignment_4(), "rule__CommandSimulation__BehaviorTypeAssignment_4");
					put(grammarAccess.getDataSimulationAccess().getPogoAttrAssignment_2(), "rule__DataSimulation__PogoAttrAssignment_2");
					put(grammarAccess.getDataSimulationAccess().getSimulationTypeAssignment_5(), "rule__DataSimulation__SimulationTypeAssignment_5");
					put(grammarAccess.getGaussianSlewLimitedAccess().getMinBoundAssignment_3_1(), "rule__GaussianSlewLimited__MinBoundAssignment_3_1");
					put(grammarAccess.getGaussianSlewLimitedAccess().getMaxBoundAssignment_4_1(), "rule__GaussianSlewLimited__MaxBoundAssignment_4_1");
					put(grammarAccess.getGaussianSlewLimitedAccess().getMeanAssignment_5_1(), "rule__GaussianSlewLimited__MeanAssignment_5_1");
					put(grammarAccess.getGaussianSlewLimitedAccess().getSlewRateAssignment_6_1(), "rule__GaussianSlewLimited__SlewRateAssignment_6_1");
					put(grammarAccess.getGaussianSlewLimitedAccess().getUpdatePeriodAssignment_7_1(), "rule__GaussianSlewLimited__UpdatePeriodAssignment_7_1");
					put(grammarAccess.getConstantQuantityAccess().getInitialValueAssignment_3_1(), "rule__ConstantQuantity__InitialValueAssignment_3_1");
					put(grammarAccess.getConstantQuantityAccess().getQualityAssignment_4_1(), "rule__ConstantQuantity__QualityAssignment_4_1");
					put(grammarAccess.getDeterministicSignalAccess().getTypeAssignment_3_1(), "rule__DeterministicSignal__TypeAssignment_3_1");
					put(grammarAccess.getDeterministicSignalAccess().getAmplitudeAssignment_4_1(), "rule__DeterministicSignal__AmplitudeAssignment_4_1");
					put(grammarAccess.getDeterministicSignalAccess().getPeriodAssignment_5_1(), "rule__DeterministicSignal__PeriodAssignment_5_1");
					put(grammarAccess.getDeterministicSignalAccess().getOffsetAssignment_6_1(), "rule__DeterministicSignal__OffsetAssignment_6_1");
					put(grammarAccess.getRuntimeSpecifiedWaveformAccess().getDefaultValueAssignment_3_1(), "rule__RuntimeSpecifiedWaveform__DefaultValueAssignment_3_1");
					put(grammarAccess.getRuntimeSpecifiedWaveformAccess().getTimestampAssignment_4_1(), "rule__RuntimeSpecifiedWaveform__TimestampAssignment_4_1");
					put(grammarAccess.getRuntimeSpecifiedWaveformAccess().getAttribute_qualitiesAssignment_5_1(), "rule__RuntimeSpecifiedWaveform__Attribute_qualitiesAssignment_5_1");
					put(grammarAccess.getInputTransformAccess().getDestinationVariableNameAssignment_3_1(), "rule__InputTransform__DestinationVariableNameAssignment_3_1");
					put(grammarAccess.getSideEffectsAccess().getSource_variableAssignment_3_1(), "rule__SideEffects__Source_variableAssignment_3_1");
					put(grammarAccess.getSideEffectsAccess().getDestination_quantityAssignment_4_1(), "rule__SideEffects__Destination_quantityAssignment_4_1");
					put(grammarAccess.getOutputReturnAccess().getSource_variableAssignment_3_1(), "rule__OutputReturn__Source_variableAssignment_3_1");
					put(grammarAccess.getOutputReturnAccess().getSource_quantityAssignment_4_1(), "rule__OutputReturn__Source_quantityAssignment_4_1");
				}
			};
		}
		return nameMappings.get(element);
	}
			
	@Override
	protected String[] getInitialHiddenTokens() {
		return new String[] { "RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT" };
	}

	public SimulatorDslGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(SimulatorDslGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
